### Function

# AppStream VideoCodecKind from_string

#### Declaration [src]

    AsVideoCodecKind
    as_video_codec_kind_from_string (
      const gchar* str
    )

#### Description [src]

Converts the text representation to an enumerated value.

#### Parameters

`str`

  Type: `const gchar*`

  The string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AsVideoCodecKind`

A `AsVideoCodecKind`, or `AS_VIDEO_CODEC_KIND_UNKNOWN` for unknown.